Subject: New fonts available

From: "J.B. WANG" <[email-masked]>
Date: Wed, 11 Apr 90 10:48:00 EDT

Folks:

I sent a message two days ago and it was lost. Here it goes again.

In order to make Chinese TeX more device independent, I had been seeking for
the ways to build bitmap fonts for various sizes, so that not only PostScript
will be ok, but also other printers such as HP, EPSON and LN03. The trick is
to build PK fonts for suitable resolutions (such as 5pt, 7pt, 10pt, 12pt
16pt and 20pt for 300dpi laser printers, 72dpi screens and 216x240 dpi
dot-matrix printers). There had been enough noice that people are trying to
build analytical PostScript fonts or MetaFonts, my advice is to leave this
job to commercial companies or individuals who can invest at lease 0.5 man
hours.

I have a different solution, though, and I have implemented it and am leaving
new bitmap font libraries. Today, I have added
cclib.18
cclib.32

in anonymous/ch-series of 192.12.216.114 for ftp, and they are complete sets
of GB 18x18 and 32x32 bitmap fonts. Soon, there will be 20x20, 30x30 and
others. The format of these libraries is as follows:

8-bit horizontally across per byte, and each row is packed to integal bytes,
thus 18x18 has 3 bytes a row (with 2 bits used in the last byte) and 18
rows per character, i.e., 3x18=54 bytes per record (for a character)

There are 87x94 characters altogether as standard GB sets.

My algorithm is not a magic, it simply exploits PostScript features of a
NeWS window on my SiliconGraphics, i.e., I build scaleable PostScript images
from the available 16x16, 24x24 and 48x48 character images, scale it to
proper size, dump it on the screen through NeWS server, and grab it from
the screen buffer and translate RGB (3 bytes per pixel) information into
8 pixels per byte library format.

You can see that I can virtually build library of any font sizes ranging
from 14x14 to 72x72, although it might be necessary to build a pixel editing
program to round off rough corners during the scaling process.

If you need a specific font size, just let me know. I build build it for you.

Returning to Chinese TeX, half year ago, through try-and error, I found that
the best font width for a Chinese character is 725 (in 1000 unit font space),
and that's reflected in chfont*.tfm in ChTeX.tar.Z. This is crucial while
Chinese and English are mixed. In this fashion, 10pt PK files can be build
directly from cclib.30 for 300dpi output devices, and cclib.24 for 8pt and
cclib.16 for 6pt. Of course, cclib.36 will be built for 12pt fonts as well.

Sincerely yours,

JB Wang
Stevens Institute of Technology (formerly Universoty of Pittsburgh)
(201)-420-5814 (o)